﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.ComponentModel;
using Microsoft.Practices.Prism.Commands;

namespace WpfApplication143
{
    public  class Person:INotifyPropertyChanged
    {
        string name = string.Empty;
        public string Name
        {
            get {return name;}
            set { name = value;
            NotifyPropertyChanged("Name");
            }
        }

        int age = 0;
        public int Age
        {
            get { return age; }
            set { age = value;
            NotifyPropertyChanged("Age");
            }
        }

        public DelegateCommand Command
        {
            get;
            set;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }


    }
}
